Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.antserver.commands
Class DisconnectCommand

    java.lang.Object
      |
      +--net.sf.antcontrib.antserver.commands.DisconnectCommand

All Implemented Interfaces:
  Command, java.io.Serializable

public class DisconnectCommand
extends java.lang.Object
implements Command

Place class description here.

Since:
Author:
  inger,
See Also:
  Serialized Form

Field Summary
`static Command` | `DISCONNECT_COMMAND`

Method Summary
`boolean` | `execute(org.apache.tools.ant.Project project, java.io.ObjectInputStream ois)` Execute the command.
`void` | `localExecute(org.apache.tools.ant.Project project, java.io.ObjectOutputStream oos)`
`void` | `validate()` This should throw a build exception if the parameters are invalid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISCONNECT_COMMAND

    public static Command DISCONNECT_COMMAND

Method Detail

### validate

    public void validate()

  Description copied from interface: `Command`
  This should throw a build exception if the parameters are invalid.

  Specified by:
    `validate` in interface `Command`

### execute

    public boolean execute(org.apache.tools.ant.Project project,
                           java.io.ObjectInputStream ois)
                    throws java.lang.Throwable

  Description copied from interface: `Command`
  Execute the command.

  Specified by:
    `execute` in interface `Command`
  Parameters:
    `project` -
  Returns:
    If true, the connection will be closed
  Throws:
    `java.lang.Throwable`

### localExecute

    public void localExecute(org.apache.tools.ant.Project project,
                             java.io.ObjectOutputStream oos)
                      throws java.io.IOException

  Specified by:
    `localExecute` in interface `Command`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD